R9ATN1(3)

SYNOPSIS
FUNCTION R9ATN1 (X)

NAME
r9atn1 - Evaluate ATAN(X) from first order relative accuracy so that ATAN(X) = X + X**3*R9ATN1(X).

LIBRARY
SLATEC (FNLIB)

CATEGORY
C4A

TYPE
SINGLE PRECISION (R9ATN1-S, D9ATN1-D)

KEYWORDS
ARC TANGENT, ELEMENTARY FUNCTIONS, FIRST ORDER, FNLIB, TRIGONOMETRIC

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
Evaluate ATAN(X) from first order, that is, evaluate (ATAN(X)-X)/X**3 with relative error accuracy so that ATAN(X) = X + X**3*R9ATN1(X). Series for ATN1 on the interval 0. to 1.00000D+00 with weighted error 2.21E-17 log weighted error 16.66 significant figures required 15.44 decimal places required 17.32

REFERENCES
(NONE)

ROUTINES CALLED
CSEVL, INITS, R1MACH, XERMSG

REVISION HISTORY (YYMMDD)
780401 DATE WRITTEN
890206 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900720 Routine changed from user-callable to subsidiary. (WRB)